Xerces2 Implementation: Class InvalidDatatypeFacetException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv
Class InvalidDatatypeFacetException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.xerces.impl.dv.DatatypeException
                        |
                        +--org.apache.xerces.impl.dv.InvalidDatatypeFacetException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidDatatypeFacetException
extends DatatypeException

Datatype exception for invalid facet. This exception is only used by schema datatypes.

Version:
  $Id: InvalidDatatypeFacetException.java,v 1.3 2002/01/29 01:15:11 lehors Exp $
Author:
  Sandy Gao, IBM
See Also:
  Serialized Form

Fields inherited from class org.apache.xerces.impl.dv.DatatypeException
`args, key`

Constructor Summary
`InvalidDatatypeFacetException(java.lang.String key, java.lang.Object[] args)` Create a new datatype exception by providing an error code and a list of error message substitution arguments.

Methods inherited from class org.apache.xerces.impl.dv.DatatypeException
`getArgs, getKey, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDatatypeFacetException

    public InvalidDatatypeFacetException(java.lang.String key,
                                         java.lang.Object[] args)

  Create a new datatype exception by providing an error code and a list of error message substitution arguments.
  Parameters:
    `key` - error code
    `args` - error arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.